Bug 1039296 - Review Request: glite-lbjp-common-jp-interface - Public API to JP service internal interface
Summary: Review Request: glite-lbjp-common-jp-interface - Public API to JP service int...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1046513
TreeView+ depends on / blocked
 
Reported: 2013-12-07 18:46 UTC by František Dvořák
Modified: 2013-12-28 02:12 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-12-28 02:10:54 UTC
i: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description František Dvořák 2013-12-07 18:46:39 UTC
Spec URL: http://scientific.zcu.cz/fedora/glite-lbjp-common-jp-interface-2.3.9-1/glite-lbjp-common-jp-interface.spec
SRPM URL: http://scientific.zcu.cz/fedora/glite-lbjp-common-jp-interface-2.3.9-1/glite-lbjp-common-jp-interface-2.3.9-1.fc21.src.rpm
Description: Definition of interfaces required to build plugins for Job Provenance services and implementation of minimal library of support functions.
Fedora Account System Username: valtri

Notes:
- I'm upstream maintainer
- koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6267414

Comment 1 Christopher Meng 2013-12-08 04:56:36 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)". Detailed output of licensecheck:

Apache (v2.0)
-------------
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/glite-lbjp-common-jp-interface-2.3.9/interface/attr.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/glite-lbjp-common-jp-interface-2.3.9/interface/backend.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/glite-lbjp-common-jp-interface-2.3.9/interface/builtin_plugins.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/glite-lbjp-common-jp-interface-2.3.9/interface/context.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/glite-lbjp-common-jp-interface-2.3.9/interface/file_plugin.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/glite-lbjp-common-jp-interface-2.3.9/interface/indexdb.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/glite-lbjp-common-jp-interface-2.3.9/interface/known_attr.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/glite-lbjp-common-jp-interface-2.3.9/interface/type_plugin.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/glite-lbjp-common-jp-interface-2.3.9/interface/types.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/glite-lbjp-common-jp-interface-2.3.9/src/attr.c
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/glite-lbjp-common-jp-interface-2.3.9/src/context.c
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/glite-lbjp-common-jp-interface-2.3.9/src/indexdb.c
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/glite-lbjp-common-jp-interface-2.3.9/src/utils.c
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/glite-lbjp-common-jp-interface-2.3.9/test/type_test.cpp

[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/include/glite(glite-lbjp-
     common-gss-devel, glite-jobid-api-c-devel, glite-lb-types, glite-lbjp-
     common-log-devel, glite-lbjp-common-db-devel, glite-lbjp-common-trio-
     devel, glite-px-proxyrenewal-devel, glite-lb-ws-interface)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Sources can be downloaded from URI in Source: tag
     Note: Could not download Source0
     See: http://fedoraproject.org/wiki/Packaging:Guidelines#Tags
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Package should not use obsolete m4 macros


Rpmlint
-------
Checking: glite-lbjp-common-jp-interface-2.3.9-1.fc21.i686.rpm
          glite-lbjp-common-jp-interface-devel-2.3.9-1.fc21.i686.rpm
          glite-lbjp-common-jp-interface-2.3.9-1.fc21.src.rpm
glite-lbjp-common-jp-interface-devel.i686: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint glite-lbjp-common-jp-interface glite-lbjp-common-jp-interface-devel
glite-lbjp-common-jp-interface-devel.i686: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
glite-lbjp-common-jp-interface (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6
    libglite_jobid.so.2
    libglite_lbu_db.so.3
    rtld(GNU_HASH)

glite-lbjp-common-jp-interface-devel (rpmlib, GLIBC filtered):
    glite-lbjp-common-jp-interface(x86-32)
    libglite_jp_common.so.2



Provides
--------
glite-lbjp-common-jp-interface:
    glite-lbjp-common-jp-interface
    glite-lbjp-common-jp-interface(x86-32)
    libglite_jp_common.so.2

glite-lbjp-common-jp-interface-devel:
    glite-lbjp-common-jp-interface-devel
    glite-lbjp-common-jp-interface-devel(x86-32)



Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -rvn glite-lbjp-common-jp-interface-2.3.9-1.fc21.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG

----------------------------
PACKAGE APPROVED.

Note you should insert license header to all glite packages but not limit to this one only.

Comment 2 František Dvořák 2013-12-08 10:51:31 UTC
Do you mean copyright information in source files? It should be there, although there are some files added after the last mass copyright update...

Thanks for the review!

Comment 3 František Dvořák 2013-12-10 09:38:49 UTC
New Package SCM Request
=======================
Package Name: glite-lbjp-common-jp-interface
Short Description: Public API to JP service internal interface
Owners: valtri
Branches: f19 f20 el6
InitialCC:

Comment 4 Gwyn Ciesla 2013-12-10 13:17:21 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2013-12-10 22:19:37 UTC
glite-lbjp-common-jp-interface-2.3.9-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/glite-lbjp-common-jp-interface-2.3.9-1.fc20

Comment 6 Fedora Update System 2013-12-10 22:20:57 UTC
glite-lbjp-common-jp-interface-2.3.9-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/glite-lbjp-common-jp-interface-2.3.9-1.fc19

Comment 7 Fedora Update System 2013-12-10 22:21:56 UTC
glite-lbjp-common-jp-interface-2.3.9-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/glite-lbjp-common-jp-interface-2.3.9-1.el6

Comment 8 Fedora Update System 2013-12-11 16:44:49 UTC
glite-lbjp-common-jp-interface-2.3.9-1.fc20 has been pushed to the Fedora 20 testing repository.

Comment 9 Fedora Update System 2013-12-27 22:15:55 UTC
glite-lbjp-common-jp-interface-2.3.9-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 10 Fedora Update System 2013-12-28 02:10:54 UTC
glite-lbjp-common-jp-interface-2.3.9-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 11 Fedora Update System 2013-12-28 02:12:27 UTC
glite-lbjp-common-jp-interface-2.3.9-1.fc19 has been pushed to the Fedora 19 stable repository.


Note You need to log in before you can comment on or make changes to this bug.